Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class AbstractProgramElement

    java.lang.Object
      xjavadoc.AbstractProgramElement

All Implemented Interfaces:
  Comparable, Named, XProgramElement

Direct Known Subclasses:
  AbstractClass, MemberImpl

public abstract class AbstractProgramElement
extends Object
implements XProgramElement

Describe what this class does

Author:
  Ara Abrahamian, Aslak Hellesøy

Field Summary
`(package private) static List` | `EMPTY_LIST`

Constructor Summary
`protected` | `AbstractProgramElement(AbstractClass containingClass, XTagFactory tagFactory)`
`protected` | `AbstractProgramElement(XJavaDoc xJavaDoc, XTagFactory tagFactory)`

Method Summary
`void` | `addModifier(int modifier)`
`int` | `compareTo(Object o)`
`AbstractClass` | `getContainingAbstractClass()`
`XClass` | `getContainingClass()`
`XPackage` | `getContainingPackage()`
`XDoc` | `getDoc()` Get the doc.
`String` | `getModifiers()` Get modifiers string.
`int` | `getModifierSpecifier()` Get the modifier specifier integer.
`protected XTagFactory` | `getTagFactory()`
`XJavaDoc` | `getXJavaDoc()`
`boolean` | `isAbstract()`
`boolean` | `isFinal()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`(package private) void` | `reset()`
`void` | `setToken(Token token)` Sets the Token where we start.
`void` | `updateDoc()` update javadoc

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface xjavadoc.XProgramElement
`getSuperElement, getSuperInterfaceElements`

Methods inherited from interface xjavadoc.Named
`getName`

Field Detail

### EMPTY_LIST

    static final List EMPTY_LIST

Constructor Detail

### AbstractProgramElement

    protected AbstractProgramElement(AbstractClass containingClass,
                                     XTagFactory tagFactory)

### AbstractProgramElement

    protected AbstractProgramElement(XJavaDoc xJavaDoc,
                                     XTagFactory tagFactory)

Method Detail

### getXJavaDoc

    public XJavaDoc getXJavaDoc()

  Specified by:
    `getXJavaDoc` in interface `XProgramElement`

### isFinal

    public final boolean isFinal()

  Specified by:
    `isFinal` in interface `XProgramElement`

### isAbstract

    public final boolean isAbstract()

  Specified by:
    `isAbstract` in interface `XProgramElement`

### isPackagePrivate

    public final boolean isPackagePrivate()

  Specified by:
    `isPackagePrivate` in interface `XProgramElement`

### isPrivate

    public final boolean isPrivate()

  Specified by:
    `isPrivate` in interface `XProgramElement`

### isProtected

    public final boolean isProtected()

  Specified by:
    `isProtected` in interface `XProgramElement`

### isPublic

    public final boolean isPublic()

  Specified by:
    `isPublic` in interface `XProgramElement`

### isStatic

    public final boolean isStatic()

  Specified by:
    `isStatic` in interface `XProgramElement`

### getDoc

    public final XDoc getDoc()

  Get the doc. If this is a binary, primitive or unknown, null is returned.

  Specified by:
    `getDoc` in interface `XProgramElement`
  Returns:
    the class level doc

### getModifiers

    public final String getModifiers()

  Get modifiers string.

  Specified by:
    `getModifiers` in interface `XProgramElement`
  Returns:

### getModifierSpecifier

    public final int getModifierSpecifier()

  Get the modifier specifier integer.

  Specified by:
    `getModifierSpecifier` in interface `XProgramElement`
  Returns:

### getContainingClass

    public final XClass getContainingClass()

  Specified by:
    `getContainingClass` in interface `XProgramElement`

### getContainingAbstractClass

    public final AbstractClass getContainingAbstractClass()

### getContainingPackage

    public XPackage getContainingPackage()

  Specified by:
    `getContainingPackage` in interface `XProgramElement`

### setToken

    public final void setToken(Token token)

  Sets the Token where we start. Useful for doc mutation.

  Parameters:
    `token` - The new Token value

### addModifier

    public final void addModifier(int modifier)

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### updateDoc

    public void updateDoc()

  update javadoc

  Specified by:
    `updateDoc` in interface `XProgramElement`

### getTagFactory

    protected XTagFactory getTagFactory()

### reset

    void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.